API reference
Get Crawl
GET /crawls/{crawl_id} · Map and crawl
GEThttps://api.clawifi.dev/crawls/{crawl_id}
- Send your key as
Authorization: Bearer $CLAWIFI_API_KEY; see Authentication. - Hosted MCP tool:
get_crawlonhttps://api.clawifi.dev/mcp. - Credits: see Pricing and credits.
Request#
curl https://api.clawifi.dev/crawls/<crawl_id> \
-H "Authorization: Bearer $CLAWIFI_API_KEY"
from clawifi import Clawifi
client = Clawifi() # reads CLAWIFI_API_KEY
result = client.get_crawl("<crawl_id>")
get_crawl()
Parameters
| Name | In | Type | Required |
|---|---|---|---|
crawl_id | path | string | yes |
Response#
200 with a CrawlRunResponse object: completed_at, crawl_id, created_at, discovered_count, errors, frontier_count, pages, parent_operation_id, request, status, updated_at, visited_count.
Errors use the shared shape; see Errors. Try public operations without a key in the playground.
Was this page helpful? Tell us · Last updated 2026-10-22